
#include <stdio.h>
#include <SDL.h>

int main( int argc, char* argv[] )
{
	SDL_Window* window = NULL;
	SDL_Event e;
	
	SDL_Init( SDL_INIT_VIDEO );
	window = SDL_CreateWindow( "SDL Tutorial", SDL_WINDOWPOS_UNDEFINED, SDL_WINDOWPOS_UNDEFINED, 320, 240, SDL_WINDOW_SHOWN );
	for(;;)
	{
		while( SDL_PollEvent( &e ) != 0 )
		{
			if( e.type == SDL_QUIT )
				goto quit;
			if( e.type == SDL_TEXTINPUT )
			{
				printf( "text: %s\n", e.text.text );
			}
		}
	}
quit:
	
	SDL_DestroyWindow( window );
	SDL_Quit();
	return 0;
}